Skip to main content
GET
/
fine_tuning
/
jobs
/
{fine_tuning_job_id}
/
checkpoints
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "<string>",
      "created_at": 123,
      "fine_tuned_model_checkpoint": "<string>",
      "step_number": 123,
      "metrics": {
        "step": 123,
        "train_loss": 123,
        "train_mean_token_accuracy": 123,
        "valid_loss": 123,
        "valid_mean_token_accuracy": 123,
        "full_valid_loss": 123,
        "full_valid_mean_token_accuracy": 123
      },
      "fine_tuning_job_id": "<string>",
      "object": "fine_tuning.job.checkpoint"
    }
  ],
  "object": "list",
  "has_more": true,
  "first_id": "<string>",
  "last_id": "<string>"
}

Authorizations

api-key
string
header
required

Path Parameters

fine_tuning_job_id
string
required

The ID of the fine-tuning job to get checkpoints for.

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview
after
string

Identifier for the last checkpoint ID from the previous pagination request.

limit
integer<int32>
default:10

Number of checkpoints to retrieve.

Response

The request has succeeded.

data
object[]
required
object
enum<string>
required
Available options:
list
has_more
boolean
required
first_id
string | null
last_id
string | null